### Function

# Gimp Selection save

#### Declaration [src]

    GimpChannel*
    gimp_selection_save (
      GimpImage* image
    )

#### Description [src]

Copy the selection mask to a new channel.

This procedure copies the selection mask and stores the content in a new channel. The new channel is automatically inserted into the image’s list of channels.

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpChannel`

The new channel.

The data is owned by the called function.